package normal

import (
	"net/http"

	"haixun-backend/internal/logic/normal"
	"haixun-backend/internal/response"
	"haixun-backend/internal/svc"
)

func HealthHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := normal.NewHealthLogic(r.Context(), svcCtx)
		data, err := l.Health()
		response.Write(r.Context(), w, data, err)
	}
}
